# Created by pyp2rpm-3.3.2
%global pypi_name txaio

Name:           python-%{pypi_name}
Version:        22.2.1
Release:        %mkrel 2
Summary:        Compatibility API between asyncio/Twisted/Trollius
Group:          Development/Python
License:        MIT License
URL:            https://pypi.org/project/txaio/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pep8) >= 1.6.2
BuildRequires:  python3dist(pyenchant) >= 1.6.6
BuildRequires:  python3dist(pytest) >= 2.6.4
BuildRequires:  python3dist(pytest-cov) >= 1.8.1
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx) >= 1.2.3
BuildRequires:  python3dist(sphinx-rtd-theme) >= 0.1.9
BuildRequires:  python3dist(sphinxcontrib-spelling) >= 2.1.2
BuildRequires:  python3dist(tox) >= 2.1.1
BuildRequires:  python3dist(twine) >= 1.6.5
BuildRequires:  python3dist(twisted) >= 12.1.0
BuildRequires:  python3dist(twisted) >= 12.1.0
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(zope.interface) >= 3.6
BuildRequires:  python3dist(zope.interface) >= 3.6
BuildRequires:  python3dist(sphinx)

%description
| |Version| |Build Status| |Coverage| |Docs|--**txaio** is a helper library for
writing code that runs unmodified on both Twisted < and asyncio < / Trollius <
is like six < but for wrapping over differences between Twisted and asyncio so
one can write code that runs unmodified on both (aka *source code
compatibility*). In other words: your *users* can choose if they want asyncio
**or** Twisted...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)
Requires:       python3dist(twisted) >= 12.1.0
Requires:       python3dist(twisted) >= 12.1.0
Requires:       python3dist(zope.interface) >= 3.6
Requires:       python3dist(zope.interface) >= 3.6

%description -n python3-%{pypi_name}
| |Version| |Build Status| |Coverage| |Docs|--**txaio** is a helper library for
writing code that runs unmodified on both Twisted < and asyncio < / Trollius <
is like six < but for wrapping over differences between Twisted and asyncio so
one can write code that runs unmodified on both (aka *source code
compatibility*). In other words: your *users* can choose if they want asyncio
**or** Twisted...

%package -n python-%{pypi_name}-doc
Summary:        txaio documentation

%description -n python-%{pypi_name}-doc
Documentation for txaio

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files txaio

%check
# %%{__python3} setup.py test || true
# In addition, the %%check command of
# "git clone https://src.fedoraproject.org/rpms/python-txaio"
# seems unmanagably complicated. :S -- shlomif
_disable_tests_due_to_them_requiring_an_inet_conn="1"
if test "$_disable_tests_due_to_them_requiring_an_inet_conn" = "1"
then
    true
else
    tox -e py38-asyncio
fi

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE


%changelog
* Fri Dec 29 2023 tv <tv> 22.2.1-2.mga10
+ Revision: 2023435
- Rebuild for python-3.12

* Wed Sep 07 2022 neoclust <neoclust> 22.2.1-1.mga9
+ Revision: 1885356
- New version  22.2.1

* Wed Mar 30 2022 umeabot <umeabot> 21.2.1-4.mga9
+ Revision: 1834360
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 21.2.1-3.mga9
+ Revision: 1774637
- update to python 3.10

* Sun Mar 21 2021 joequant <joequant> 21.2.1-2.mga9
+ Revision: 1706353
- update to python 3.9

* Mon Mar 01 2021 guillomovitch <guillomovitch> 21.2.1-1.mga9
+ Revision: 1695251
- new version 21.2.1

* Sun Sep 20 2020 shlomif <shlomif> 20.4.1-2.mga8
+ Revision: 1628886
- restore check by using tox

* Sat Sep 19 2020 shlomif <shlomif> 20.4.1-1.mga8
+ Revision: 1628750
- New version 20.4.1

* Sun Feb 16 2020 umeabot <umeabot> 18.8.1-3.mga8
+ Revision: 1534008
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 18.8.1-2.mga8
+ Revision: 1446545
- rebuild for python3.8

* Fri Jul 19 2019 shlomif <shlomif> 18.8.1-1.mga8
+ Revision: 1422948
- pyp2rpm

